<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package pixart
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>



<div id="comments" class="comments-area">
	<meta content="UserComments:<?php echo number_format_i18n( get_comments_number() );?>" itemprop="interactionCount">
    <h3 class="comments-title">Comments |  <span class="comment-count"><?php echo number_format_i18n( get_comments_number() );?> 条评论</span></h3>
    
	<?php	
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() ) :?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'pixart' ); ?></p>
	<?php	endif;?>
	<?php if(comments_open()) : 
			$commenter = wp_get_current_commenter();
			$req = get_option( 'require_name_email' );
			$aria_req = ( $req ? " aria-required='true'" : '' );
			$num1=rand(0,9);
			$num2=rand(0,9);
		?>
		<div id="respond" class="comment-respond">
		<h3 id="reply-title" class="comment-reply-title"><?php comment_form_title( '', '回复给 %s' ); ?> <small><?php cancel_comment_reply_link(); ?></small></h3>
			<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
                <p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">logged in</a> to post a comment.</p>
            <?php else : ?>
				<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform" class="comment-form" novalidate="">
					
					<?php if ( $user_ID ) : ?>
						<p class="warning-text" style="margin-bottom:10px">以<a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>身份登录 | <a class="link-logout" href="<?php echo wp_logout_url(get_permalink()); ?>">注销 »</a></p>
						<div class="comment-input-box controls-wrap clearfix">
							<textarea class="comment_textarea" id="comment" placeholder="[]~(￣▽￣)~*要有最朴素的生活和最遥远的梦想..." name="comment"></textarea>
						</div>
							<div class="comment-input-foot"> <a class="img-btn" id="owo" data-toggle="collapse" href="#emotion-box">OωO</a><input class="form-control comment-check" placeholder="<?php echo esc_attr($num1);?>+<?php echo esc_attr($num2);?>=?"  id="sum" name="sum"  type="text" value="" size="30" aria-required="true"><input name="num1" type="hidden" value="<?php echo esc_attr($num1);?>" /><input name="num2" type="hidden" value="<?php echo esc_attr($num2);?>" /><input name="submit" type="submit" id="submit" class="btn btn-sm btn-danger btn-block" tabindex="5" value="发表评论" /> </div> <?php comment_id_fields(); ?>
						<div id="emotion-box" class="emotion-box collapse">
							<?php echo push_emoji_panel();?>
                        </div>
					<?php else : ?>
						<div class="comment-input">
							<input class="form-control" placeholder="昵称" id="author" name="author" type="text" value="<?php echo $comment_author; ?>" size="30" <?php echo $aria_req;?>>
							<input class="form-control" placeholder="邮箱" id="email" name="email" type="text" value="<?php echo $comment_author_email; ?>" size="30" <?php echo $aria_req;?>>
							<input class="form-control site-r" placeholder="网站" id="url" name="url" type="text" value="<?php echo $comment_author_url; ?>" size="30">
						</div>
						<div class="comment-input-box controls-wrap clearfix">
							<textarea class="comment_textarea" id="comment" placeholder="[]~(￣▽￣)~*要有最朴素的生活和最遥远的梦想..." name="comment"></textarea>
						</div>
							<div class="comment-input-foot"> <a class="img-btn" id="owo" data-toggle="collapse" href="#emotion-box">OωO</a><input class="form-control comment-check" placeholder="<?php echo esc_attr($num1);?>+<?php echo esc_attr($num2);?>=?"  id="sum" name="sum"  type="text" value="" size="30" aria-required="true"><input name="num1" type="hidden" value="<?php echo esc_attr($num1);?>" /><input name="num2" type="hidden" value="<?php echo esc_attr($num2);?>" /><input name="submit" type="submit" id="submit" class="btn btn-sm btn-danger btn-block" tabindex="5" value="发表评论" /> </div> <?php comment_id_fields(); ?>
						<div id="emotion-box" class="emotion-box collapse">
							<?php echo push_emoji_panel();?>
                        </div>
						<br/>
						
					<?php endif; ?>		
				</form>
			<?php endif; ?>
		</div>
	<?php endif; ?>		
</div>
<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) :
		?>
		<br />
		
		<ol class="comment-list">	
			<?php wp_list_comments( array(            
				'style'       => 'ol',            
				'short_ping'  => true,            
				'avatar_size' => 48,            
				'type'        =>'comment',
				'reply_text'  => '吐槽',        
				'callback'    =>'pixart_comment_format',       
				 ) );?>	
		</ol>
        <nav id="comments-navi">
			<?php paginate_comments_links('prev_text=« Older&next_text=Newer »');?>
		</nav>
<?php	endif; // Check for have_comments().	?>

</div><!-- #comments -->