<?php
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 */
function optionsframework_option_name() {
	// Change this to use your theme slug
	return 'options-framework-theme';
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * If you are making your theme translatable, you should replace 'theme-textdomain'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
 */
//获取博客链接分类
function get_linkcats(){
	$linkcats_string = '';
	$options_linkcats = array();
	$options_linkcats_obj = get_terms('link_category');
	// var_dump($options_linkcats_obj);
	foreach ( $options_linkcats_obj as $tag ) {
		$options_linkcats[$tag->term_id] = $tag->name;
	}
	foreach ( $options_linkcats as $key=>$value){
		$linkcats_string.='['.$key.']'.$value.'&nbsp;&nbsp;';
	}
	return $linkcats_string;
}
function optionsframework_options() {

	// Test data
	$test_array = array(
		'one' => __( 'One', 'theme-textdomain' ),
		'two' => __( 'Two', 'theme-textdomain' ),
		'three' => __( 'Three', 'theme-textdomain' ),
		'four' => __( 'Four', 'theme-textdomain' ),
		'five' => __( 'Five', 'theme-textdomain' )
	);

	// Multicheck Array
	$multicheck_array = array(
		'one' => __( 'French Toast', 'theme-textdomain' ),
		'two' => __( 'Pancake', 'theme-textdomain' ),
		'three' => __( 'Omelette', 'theme-textdomain' ),
		'four' => __( 'Crepe', 'theme-textdomain' ),
		'five' => __( 'Waffle', 'theme-textdomain' )
	);

	// Multicheck Defaults
	$multicheck_defaults = array(
		'one' => '1',
		'five' => '1'
	);

	// Background Defaults
	$background_defaults = array(
		'color' => '',
		'image' => '',
		'repeat' => 'repeat',
		'position' => 'top center',
		'attachment'=>'scroll' );

	// Typography Defaults
	$typography_defaults = array(
		'size' => '15px',
		'face' => 'georgia',
		'style' => 'bold',
		'color' => '#bada55' );

	// Typography Options
	$typography_options = array(
		'sizes' => array( '6','12','14','16','20' ),
		'faces' => array( 'Helvetica Neue' => 'Helvetica Neue','Arial' => 'Arial' ),
		'styles' => array( 'normal' => 'Normal','bold' => 'Bold' ),
		'color' => false
	);

	// Pull all the categories into an array
	$options_categories = array();
	$options_categories_obj = get_categories();
	foreach ($options_categories_obj as $category) {
		$options_categories[$category->cat_ID] = $category->cat_name;
	}

	// Pull all tags into an array
	$options_tags = array();
	$options_tags_obj = get_tags();
	foreach ( $options_tags_obj as $tag ) {
		$options_tags[$tag->term_id] = $tag->name;
	}


	// Pull all the pages into an array
	$options_pages = array();
	$options_pages_obj = get_pages( 'sort_column=post_parent,menu_order' );
	$options_pages[''] = 'Select a page:';
	foreach ($options_pages_obj as $page) {
		$options_pages[$page->ID] = $page->post_title;
	}

	// If using image radio buttons, define a directory path
	$imagepath =  get_template_directory_uri() . '/images/';

	$options = array();
	/**------------------------------------------------------------------------------------------------------
	 * 首页设置
	------------------------------------------------------------------------------------------------------ */
	$options[] = array(
		'name' => __( '首页设置', 'theme-textdomain' ),
		'type' => 'heading'
	);
	/*幻灯*/
	$options[] = array(
		'name' => '首页幻灯开关',
		'desc' => '显示',
		'id' => 'slide_img_open',
		'class' => '',
		'std' => '0',
		'type' => 'checkbox'
	);

	$options[] = array(
		'name' => '首页幻灯',
		'desc' => '幻灯链接1',
		'id' => 'slide_url_first',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传幻灯图片1(1140x399px)',
		'id' => 'slide_img_first',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '',
		'desc' => '幻灯链接2',
		'id' => 'slide_url_sec',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传幻灯图片2(1140x399px)',
		'id' => 'slide_img_sec',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '',
		'desc' => '幻灯链接3',
		'id' => 'slide_url_third',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传幻灯图片3(1140x399px)',
		'id' => 'slide_img_third',
        "std" => "",
		'type' => 'upload'
	);
	/**------------------------------------------------------------------------------------------------------
	 * 链接设置
	------------------------------------------------------------------------------------------------------ */
	$options[] = array(
		'name' => __( '链接设置', 'theme-textdomain' ),
		'type' => 'heading'
	);
	
	$options[] = array(
		'name' => '链接分类ID',
		'desc' => ' ' . get_linkcats(),
		'id' => '',
		'std' => '',
		'type' => ''
	);
	$options[] = array(
		'name' => '首页显示链接分类ID',
		'desc' => '输入想显示的链接分类ID',
		'id' => 'home_link_cat',
		'std' => '',
		'type' => 'text'
	);
	$options[] = array(
		'name' => '网址导航链接分类ID',
		'desc' => '输入想显示的链接分类ID,英文逗号隔开',
		'id' => 'page_link_cat',
		'std' => '',
		'type' => 'text'
	);
	/**------------------------------------------------------------------------------------------------------
	 * SEO设置
	------------------------------------------------------------------------------------------------------ */
	$options[] = array(
		'name' => __( 'SEO设置', 'theme-textdomain' ),
		'type' => 'heading'
	);
	$options[] = array(
		'name' => __( '描述（Description）', 'theme-textdomain' ),
		'desc' => __( '网站描述(一般不超过200个字符)', 'theme-textdomain' ),
		'id' => 'site_desc',
		'std' => '',
		'type' => 'textarea'
	);
	$options[] = array(
		'name' => __( '首页关键词（KeyWords）', 'theme-textdomain' ),
		'desc' => __( '网站关键词(一般不超过100个字符)', 'theme-textdomain' ),
		'id' => 'site_keyword',
		'std' => '',
		'type' => 'textarea'
	);
	$options[] = array(
		'name' => '将文章主动推送到百度',
		'desc' => '启用',
		'id' => 'baidu_submit',
		'class' => 'be_ico',
		'std' => '0',
		'type' => 'checkbox'
	);

	$options[] = array(
		'name' => '',
		'desc' => '输入百度主动推送token值',
		'id' => 'baidu_submit_token',
		'std' => '',
		'type' => 'text'
	);
	$options[] = array(
		'name' => '流量统计代码（异步）',
		'desc' => '用于在页头添加异步统计代码，',
		'id' => 'statistic_h',
		'class' => '',
		'std' => '',
		'type' => 'textarea'
	);

	$options[] = array(
		'name' => '流量统计代码（同步）',
		'desc' => '用于在页脚添加同步统计代码',
		'id' => 'statistic_f',
		'class' => '',
		'std' => '',
		'type' => 'textarea'
	);
	/**------------------------------------------------------------------------------------------------------
	 * 社交分享设置
	------------------------------------------------------------------------------------------------------ */
	$options[] = array(
		'name' => __( '社交分享设置', 'theme-textdomain' ),
		'type' => 'heading'
	);
	$options[] = array(
		'name' => 'QQ',
		'desc' => 'qq联系号码',
		'id' => 'qq_number',
		'std' => '',
		'class' => '',
		'type' => 'text'
	);
	
	$options[] = array(
		'name' => '正文末尾微信二维码(待实现)',
		'desc' => '显示',
		'id' => 'single_weixin',
		'class' => '',
		'std' => '1',
		'type' => 'checkbox'
	);
	$options[] = array(
		'name' => '',
		'desc' => '只显示一个微信二维码',
		'id' => 'single_weixin_one',
		'std' => '0',
		'class' => '',
		'type' => 'checkbox'
	);

	$options[] = array(
		'name' => '',
		'desc' => '微信文字',
		'id' => 'weixin_h',
		'std' => '我的微信',
		'class' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '微信说明文字',
		'id' => 'weixin_h_w',
		'std' => '这是我的微信扫一扫',
		'class' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传微信二维码图片（＜240px）',
		'id' => 'weixin_h_img',
		'class' => '',
		'std' => "",
		'type' => 'upload'
	);

	$options[] = array(
		'name' => '',
		'desc' => '微信公众号文字',
		'id' => 'weixin_g',
		'std' => '我的微信公众号',
		'class' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '微信公众号说明文字',
		'id' => 'weixin_g_w',
		'std' => '我的微信公众号扫一扫',
		'class' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传微信公众号二维码图片（＜240px）',
		'id' => 'weixin_g_img',
		'class' => '',
		'std' => "",
		'type' => 'upload'
	);
	//打赏
	$options[] = array(
		'name' => '打赏（赞助）按钮设置',
		'desc' => '自定义按钮文字，留空则不显示弹窗',
		'id' => 'pay_name',
		'class' => '',
		'std' => '赏',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '自定义提示文字',
		'id' => 'pay_text',
		'std' => '赞助本站',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '自定义弹窗标题文字，留空则不显示',
		'id' => 'pay_header',
		'std' => '您可以选择一种方式赞助本站',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传支付宝二维码图片（＜240px）',
		'id' => 'qr_alipay',
        "std" => "",
		'type' => 'upload'
	);

	$options[] = array(
		'name' => '',
		'desc' => '自定义支付宝二维码图片文字说明，留空则不显示',
		'id' => 'alipay_desc',
		'std' => '支付宝扫一扫赞助',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传微信钱包二维码图片（＜250px）',
		'id' => 'qr_weixin_pay',
        "std" => "",
		'type' => 'upload'
	);

	$options[] = array(
		'name' => '',
		'desc' => '自定义微信钱包二维码图片文字说明，留空则不显示',
		'id' => 'weixin_pay_desc',
		'std' => '微信钱包扫描赞助',
		'type' => 'text'
	);
	/**------------------------------------------------------------------------------------------------------
	 * 广告位设置
	------------------------------------------------------------------------------------------------------ */
	$options[] = array(
		'name' => __( '广告位设置', 'theme-textdomain' ),
		'type' => 'heading'
	);

	$options[] = array(
		'name' => '大家正在关注广告开关',
		'desc' => '显示',
		'id' => 'slide_ad_open',
		'class' => '',
		'std' => '0',
		'type' => 'checkbox'
	);

	$options[] = array(
		'name' => '广告1',
		'desc' => '广告链接1',
		'id' => 'slide_ad_url_first',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片1(165x132px)',
		'id' => 'slide_ad_img_first',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '',
		'desc' => '广告链接2',
		'id' => 'slide_ad_url_sec',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片2(165x132px)',
		'id' => 'slide_ad_img_sec',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '',
		'desc' => '广告链接3',
		'id' => 'slide_ad_url_third',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片3(165x132px)',
		'id' => 'slide_ad_img_third',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '',
		'desc' => '广告链接4',
		'id' => 'slide_ad_url_four',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片4(165x132px)',
		'id' => 'slide_ad_img_four',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '',
		'desc' => '广告链接5',
		'id' => 'slide_ad_url_five',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片5(165x132px)',
		'id' => 'slide_ad_img_five',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '',
		'desc' => '广告链接6',
		'id' => 'slide_ad_url_six',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片6(165x132px)',
		'id' => 'slide_ad_img_six',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '首页文章列表下方长条广告开关',
		'desc' => '显示',
		'id' => 'home_long_ad_open',
		'class' => '',
		'std' => '0',
		'type' => 'checkbox'
	);

	$options[] = array(
		'name' => '',
		'desc' => '广告链接',
		'id' => 'home_long_ad_url',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片(2000x167px)',
		'id' => 'home_long_ad_img',
        "std" => "",
		'type' => 'upload'
	);

	$options[] = array(
		'name' => '猜你喜欢广告开关',
		'desc' => '显示',
		'id' => 'guess_ad_open',
		'class' => '',
		'std' => '0',
		'type' => 'checkbox'
	);

	$options[] = array(
		'name' => '广告1',
		'desc' => '广告链接1',
		'id' => 'guess_ad_url_first',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片1(165x132px)',
		'id' => 'guess_ad_img_first',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '',
		'desc' => '广告链接2',
		'id' => 'guess_ad_url_sec',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片2(165x132px)',
		'id' => 'guess_ad_img_sec',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '',
		'desc' => '广告链接3',
		'id' => 'guess_ad_url_third',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片3(165x132px)',
		'id' => 'guess_ad_img_third',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '',
		'desc' => '广告链接4',
		'id' => 'guess_ad_url_four',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片4(165x132px)',
		'id' => 'guess_ad_img_four',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '',
		'desc' => '广告链接5',
		'id' => 'guess_ad_url_five',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片5(165x132px)',
		'id' => 'guess_ad_img_five',
        "std" => "",
		'type' => 'upload'
	);
	$options[] = array(
		'name' => '',
		'desc' => '广告链接6',
		'id' => 'guess_ad_url_six',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片6(165x132px)',
		'id' => 'guess_ad_img_six',
        "std" => "",
		'type' => 'upload'
	);

	$options[] = array(
		'name' => '文章页头部广告',
		'desc' => '文章页头部广告长条广告链接',
		'id' => 'article_top_ad_url',
		'std' => '',
		'type' => 'text'
	);

	$options[] = array(
		'name' => '',
		'desc' => '上传广告图片(2000x167px)',
		'id' => 'article_top_ad_img',
        "std" => "",
		'type' => 'upload'
	);


	return $options;
}